public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jonathan-Christofer Demay" <jcdemay@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-mathematics/frama-c/files/, sci-mathematics/frama-c/
Date: Wed, 23 Feb 2011 13:23:23 +0000 (UTC)	[thread overview]
Message-ID: <d840f6713bf450abce0020ad94756314ae8d1120.jcdemay@gentoo> (raw)

commit:     d840f6713bf450abce0020ad94756314ae8d1120
Author:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
AuthorDate: Wed Feb 23 15:25:32 2011 +0000
Commit:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
CommitDate: Wed Feb 23 15:25:32 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=d840f671

sci-mathematics/frama-c: keep previous version for now

---
 .../files/frama-c-20100401-plugin_install.patch    |   33 ++++++++++
 sci-mathematics/frama-c/frama-c-20100401.ebuild    |   66 ++++++++++++++++++++
 2 files changed, 99 insertions(+), 0 deletions(-)

diff --git a/sci-mathematics/frama-c/files/frama-c-20100401-plugin_install.patch b/sci-mathematics/frama-c/files/frama-c-20100401-plugin_install.patch
new file mode 100644
index 0000000..c5463cc
--- /dev/null
+++ b/sci-mathematics/frama-c/files/frama-c-20100401-plugin_install.patch
@@ -0,0 +1,33 @@
+diff -Naurp frama-c-Boron-20100401/share/Makefile.dynamic frama-c-Boron-20100401b/share/Makefile.dynamic
+--- frama-c-Boron-20100401/share/Makefile.dynamic	2010-04-13 11:52:53.000000000 +0000
++++ frama-c-Boron-20100401/share/Makefile.dynamic	2010-07-04 19:48:52.000000000 +0000
+@@ -113,7 +113,7 @@ endif #FRAMAC_MAKE
+ 
+ PLUGIN_LIB_DIR	?= $(PLUGIN_DIR)
+ PLUGIN_GUI_LIB_DIR ?= $(PLUGIN_DIR)/gui
+-PLUGIN_INSTALL_DIR ?=$(FRAMAC_PLUGINDIR)
++PLUGIN_INSTALL_DIR ?=$(DESTDIR)$(FRAMAC_PLUGINDIR)
+ 
+ PLUGIN_FLAGS:=$(FLAGS) $(DEBUG) $(FRAMAC_INCLUDES) -I $(FRAMAC_LIBDIR)
+ PLUGIN_BFLAGS:=$(PLUGIN_FLAGS) $(PLUGIN_BFLAGS)
+@@ -182,6 +182,7 @@ endif
+ ifneq ($(PLUGIN_ENABLE),no)
+ install::
+ 	$(PRINT_CP) $(PLUGIN_INSTALL_DIR)
++	$(MKDIR) $(PLUGIN_INSTALL_DIR)
+ 	$(CP) $(TARGETS) $(PLUGIN_INSTALL_DIR)
+ 	$(PRINT_CP) $(BINDIR)
+ 	if [ -f frama-c-$(PLUGIN_NAME).byte$(EXE) ]; then \
+@@ -191,9 +192,9 @@ install::
+ 	  $(CP) frama-c-$(PLUGIN_NAME).$(OCAMLBEST)$(EXE) \
+ 		$(BINDIR)/frama-c-$(PLUGIN_NAME)$(EXE); \
+ 	fi
+-	$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
+-	echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
+-	  >> $(FRAMAC_SHARE)/known_plugins.ac
++	#$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
++	#echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
++	#  >> $(FRAMAC_SHARE)/known_plugins.ac
+ ifeq ($(HAS_GUI),yes)
+ 	$(PRINT_CP) $(PLUGIN_INSTALL_DIR)/gui
+ 	$(CP) $(TARGETS_GUI) $(PLUGIN_INSTALL_DIR)/gui

diff --git a/sci-mathematics/frama-c/frama-c-20100401.ebuild b/sci-mathematics/frama-c/frama-c-20100401.ebuild
new file mode 100644
index 0000000..ffcf9b0
--- /dev/null
+++ b/sci-mathematics/frama-c/frama-c-20100401.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+inherit autotools eutils
+
+DESCRIPTION="Frama-C is a suite of tools dedicated to the analysis of the source code of software written in C."
+HOMEPAGE="http://frama-c.com"
+NAME="Boron"
+SRC_URI="http://frama-c.com/download/${PN/-c/-c-$NAME}-${PV/_/-}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="apron doc gtk +ocamlopt +why"
+RESTRICT="strip"
+
+DEPEND=">=dev-lang/ocaml-3.10.2[ocamlopt?]
+		>=dev-ml/ocamlgraph-1.6[gtk?,ocamlopt?]
+		gtk? ( >=x11-libs/gtksourceview-2.8
+			>=gnome-base/libgnomecanvas-2.26
+			>=dev-ml/lablgtk-2.14[sourceview,gnomecanvas,ocamlopt?] )
+		sci-mathematics/ltl2ba
+		apron? ( sci-mathematics/apron )"
+RDEPEND="${DEPEND}"
+PDEPEND="why? ( >=sci-mathematics/why-2.26 )"
+
+S="${WORKDIR}/${PN/-c/-c-$NAME}-${PV/_/-}"
+
+src_prepare(){
+	rm share/libc/test.c
+	rm -Rf src/wp
+
+	epatch "${FILESDIR}/${P}-plugin_install.patch"
+	
+	touch config_file
+	eautoreconf
+}
+
+src_configure() {
+	if use gtk; then
+		myconf="--enable-gui"
+	else
+		myconf="--disable-gui"
+	fi
+
+	econf ${myconf} || die "econf failed"
+}
+
+src_compile() {
+	# dependencies can not be processed in parallel,
+	# this is the intended behavior.
+	emake -j1 depend || die "emake depend failed"
+	emake all top DESTDIR="/" || die "emake failed"
+}
+
+src_install(){
+	emake install DESTDIR="${D}" || die "emake install failed"
+	dodoc Changelog doc/README
+
+	if use doc; then
+		dodoc doc/manuals/*
+	fi
+}



             reply	other threads:[~2011-02-23 13:23 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-02-23 13:23 Jonathan-Christofer Demay [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-02-24 17:56 [gentoo-commits] proj/sci:master commit in: sci-mathematics/frama-c/files/, sci-mathematics/frama-c/ Andrew Savchenko
2011-05-11 23:50 Jonathan-Christofer Demay
2011-02-28 10:47 Jonathan-Christofer Demay
2011-02-23 14:17 Jonathan-Christofer Demay
2011-02-14  0:33 Jonathan-Christofer Demay

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=d840f6713bf450abce0020ad94756314ae8d1120.jcdemay@gentoo \
    --to=jcdemay@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox